Summary: A GUI for several command-line debuggers.
Name: ddd
Version: 3.2
Release: 4
Copyright: GPL or BSD
Group: Development/Debuggers
Source0: ftp://ftp.gnu.org/pub/gnu/ddd/ddd-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/pub/gnu/ddd/ddd-%{version}-pics.tar.bz2
Source2: ddd.wmconfig
Source3: ddd.desktop
Patch0: ddd-compress.patch
URL: http://www.gnu.org/software/ddd/
BuildRoot: /var/tmp/ddd-root

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger.  DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs.  You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops.  DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python.  DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%prep
%setup -q -b 1
%patch0 -p1 -b .tim

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 

make
make strip

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make install prefix=$RPM_BUILD_ROOT/usr/X11R6
strip $RPM_BUILD_ROOT/usr/X11R6/bin/ddd
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
install -m 644 $RPM_SOURCE_DIR/ddd.wmconfig \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/ddd
mkdir -p $RPM_BUILD_ROOT//usr/share/gnome/apps/Development
install -m 644 $RPM_SOURCE_DIR/ddd.desktop \
		   $RPM_BUILD_ROOT/usr/share/gnome/apps/Development/ddd.desktop 
install -m 755 pydb/pydb.py $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 pydb/pydbcmd.py $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 pydb/pydbsupt.py $RPM_BUILD_ROOT/usr/X11R6/bin


cd $RPM_BUILD_ROOT/usr/X11R6/bin
ln pydb.py pydb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/ddd
/usr/X11R6/man/*/*
/usr/X11R6/bin/py*
/etc/X11/wmconfig/ddd
/usr/share/gnome/apps/Development/ddd.desktop 

%doc doc/README doc/ddd.pdf doc/ddd-paper.ps doc/sample.dddinit

%changelog
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- applied patch for ddd for use with lesstif 0.89 which caused the "view news"
	etc. help items not to uncompress the news and manual properly, resulting in
	an error message. Patch was from Andreas Zeller
	<andreas.zeller@fmi.uni-passau.de>
	
* Tue Feb 01 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space
- built for 6.2

* Tue Feb 01 2000 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- includes pdf doc instead of postscript
- upgraded to 3.2
- changed source locations and URLs to point at the new GNU sites
- now does a make strip
- added GNOME desktop entry


* Fri Jan 07 2000 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- removed ptrace patch
- now installs pydb
- upgraded to 3.1.99
- removed lots of old log entries

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- reapplied patch for ptrace problems with sparc

* Thu Aug 19 1999 Dale Lovelace <dale@redhat.com>
- added ddd.wmconfig

* Thu Jul 1 1999 Tim Powers <timp@redhat.com>
- added the --with-motif-includes= and --with-motif-libraries= lines
  so that it would build
- rebuilt package for Powertools

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.1.5.

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated package
